Перейти к содержанию
Sonic1977

Работают ли последние версси с php 7.1?

Рекомендуемые сообщения

2 минуты назад, Sonic1977 сказал:

сабж

Конечно! Да и предпоследние работают с 7

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А на 1.5 насколько имеет смысл и представляется возможным переходить на 7.1 или 7.2? Ионкуб уже вроде вышел 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, dexion сказал:

А на 1.5 насколько имеет смысл и представляется возможным переходить на 7.1 или 7.2? Ионкуб уже вроде вышел 

Ну не могу понять вопрос) Попробуйте.

На 1.5 я не тестировал с 7, но я думаю что будет работать.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вопрос в том, будут ли работать все дополнительные модули, которые Вы используете.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Например, в 7.2 вроде как убрали mcrypt, который используется на 1.5, может из за этого будут какие проблемы, может что то еще всплывет

Отсюда вопрос, может кто уже проверял?

 

PS для теста достаточно переключить версию php в панели и перезагрузить сервер? И обратно можно так же легко переключиться? Никаких сложностей не должно возникнуть с восстановлением?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 hours ago, Exploits said:

Конечно! Да и предпоследние работают с 7

скачал 4.9.4, заменил все файлы, установил на серваке 7.1, -результат - 

Страница недоступна

Сайт sport-korm.com пока не может обработать этот запрос.

HTTP ERROR 500
 
при установке пхп 5.6.33 открывается модуль, но ничего нет....
 
OcStore 2.1
Изменено пользователем Sonic1977

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 05.06.2018 в 12:48, dexion сказал:

Например, в 7.2 вроде как убрали mcrypt, который используется на 1.5, может из за этого будут какие проблемы, может что то еще всплывет

Отсюда вопрос, может кто уже проверял?

 

PS для теста достаточно переключить версию php в панели и перезагрузить сервер? И обратно можно так же легко переключиться? Никаких сложностей не должно возникнуть с восстановлением?

 

Проблем с тестом никаких. В т.ч. есть рабочий проект на 7.2, версия OCS 2.3.X.

Изменено пользователем Yakaya

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 05.06.2018 в 14:16, Sonic1977 сказал:

скачал 4.9.4, заменил все файлы, установил на серваке 7.1, -результат - 

Страница недоступна

Сайт sport-korm.com пока не может обработать этот запрос.

HTTP ERROR 500
 
при установке пхп 5.6.33 открывается модуль, но ничего нет....
 
OcStore 2.1

 

Напишите автору модуля, он пришлёт Вам обновление. Запускал и на версии 7 и на 7.1 и на 7.2, но только с обновлением.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 минуту назад, Yakaya сказал:

Проблем никаких. В т.ч. есть рабочий проект на 7.2.

На 1.5? А преимущества 7.2 какие нибудь заметили после перехода?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, dexion сказал:

На 1.5? А преимущества 7.2 какие нибудь заметили после перехода?

 

Нет. На 2.3. Правда пришлось ряд модулей обновить.

 

Внешне стало немного быстрее. В остальном - не специалист, реально преимущества оценить не могу.

 

Обновлялся, т.к. нужна была более новая версия IonCube, которая шла в комплекте только с 7.2.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.